1998-05-12  Jim Meyering  <meyering@ascend.com>

	* Makefile.in (distclean): New rule to remove Makefile.

1998-05-09  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README.MacCVS: Be more discouraging about MacCVS 2.x; merely say
	there are many more Mac clients rather than singling out MacCVS 3.x.

1998-04-09  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (link_file): Remove; no longer used.

Tue Feb 17 02:29:50 1998  Noel Cragg  <noel@swish.red-bean.com>

	* filesubr.c (last_component): return the top-level directory when
 	asked about the top-level directory.

Tue Jan 13 13:17:33 1998  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* run.c (run_setup): Adjust for new calling convention.

	* options.h (DIFF, RCSBIN_DFLT, CVS_LOGIN): Remove; no longer used.

Wed Dec 31 15:24:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README.MacCVS: Mention web sites as place for MacCVS updates.

Sat Dec 27 16:57:41 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h (HAVE_RCS5): Remove; no longer used.

	* config.h (LINES_CRLF_TERMINATED): Remove; no longer used.

Sun Nov 30 18:03:02 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* run.c (run_args): Remove; nowhere used.

Sat Nov 29 22:21:19 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h: Remove declaration of getwd; see lib/ChangeLog for
	rationale.

Fri May 30 22:11:52 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* pwd.c: Remove $Header; we decided to get rid of these some time
	ago.

Wed Mar 12 16:10:01 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* config.h (HAVE_SETVBUF): Removed; no longer used.

Mon Mar 10 15:28:07 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (dist-dir): Don't distribute Makefile.  I don't know
	why we were distributing it in the first place (aping the OS/2
	port?  If so the two _are_ different; that OS/2 port uses Makefile
	for builds).

Sun Mar  2 21:56:28 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README.MacCVS: Be a little more explicit about what
	MacCVS68k.sit.hqx and MacCVSPPC.sit.hqx are; at least one user got
	confused and throught they were CVS executables.

Wed Jan 29 18:26:09 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h (GREP): Removed; no longer used.

Tue Jan 28 18:29:03 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* config.h: Remove SIZEOF_INT and SIZEOF_LONG; no longer needed
	with lib/md5.c changes.

Thu Jan  2 13:42:14 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c, pwd.c: Remove "675" paragraph;
	see ../ChangeLog for rationale.

Wed Jan  1 22:49:49 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h: Reword comment for TMPDIR_DFLT to make it clear that
	this isn't specific to the pserver server.

Mon Oct 28 09:22:09 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* mac_init.c (macos_error_cleanup): Removed; SYSTEM_CLEANUP (aka
	MacOS_Cleanup) now gets called in the cases in question.
	(MacOS_Initialize): Don't call error_set_cleanup.
	* README.MacCVS: Adjust description of problem which should be
	fixed by above change.

Tue Oct  8 12:37:25 1996  Ian Lance Taylor  <ian@cygnus.com>

	* options.h (HAD_RCS4): Remove; no longer used.

Mon Sept 30 13:17:07 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* ae_if.c (DoScript): Fixed bug cutting off the last character of
	the path in the 'SPWD' AE Parameter.

Tue Sep 24 14:39:40 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* options.h: Add TMPDIR_DFLT.

Wed Sep  4 13:40:35 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (Makefile): New rule.

Mon Aug 26 12:46:10 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* filesubr.c (mkdir_if_needed): Added.

Fri Aug 16 16:04:26 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* Makefile.in (installdirs): new (empty) target

Wed Aug 14 12:01:39 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* MacCVS68k.sit.hqx, MacCVSPPC.sit.hqx: New copies of these files
	from Mike Ladwig (gets rid of alloca.c; presumably adds
	mac_config.h; not sure if there are other changes).

Tue Aug 13 15:02:15 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* ae_if.c: Part of the 9 Aug change didn't get checked in.  Fix it.

Fri Aug 9 14:53:01 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* ae_if.c: Include 'mac_config.h" to get macintosh configuration
	values.  Reworked application I/O code (many routines) to make
	MacCVS either a "pure" faceless application (AE or file output) _OR_
	a SIOUX console application.  This decision is made at compilation
	time by defining (or not) AE_IO_HANDLERS.
	* mac_config.h: Added, moving many configuration parameters from the
	maccvs.pch header file here.  This makes it possible to change
	macintosh build -specific parameters without recompiling all CVS and
	Mac port code.
	* mac_init.c: Include 'mac_config.h" to get macintosh configuration
	values. Removed unnecessary toolbox initialization code.  Made
	AE/Console choice at buildtime.
	* maccvs.pch: Moved most configuration parmeters to 'mac_config.h"
	* filesubr.c, macos_filesys.c, pwd.c, rcmd.c, run.c server_if.c:
	Include 'mac_config.h" to get macintosh configuration values.

Wed Jul 31 11:41:55 1996  Mike Ladwig  <mike@twinpeaks.prc.com>
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* server_if.c (macos_start_server): If getservbyname returns NULL,
	use port 514 rather than giving an error.

Wed Jul 31 11:41:55 1996  Mike Ladwig  <mike@twinpeaks.prc.com>
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (DISTFILES): Add maccvs.r.

Mon Jul 29 14:48:45 1996  Jim Blandy  <jimb@totoro.cyclic.com>

	* Makefile.in (DISTFILES): Fix capitalization of MacCVS68k.sit.hqx.

Fri Jul 26 16:17:48 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* README.MacCVS: Change CVS version number from 1.86 to 1.8.6.
	They are not the same and the latter is what is intended.

	* run.c: Remove Popen; it has been replaced by run_popen.

	* options.h: Remove RM and SORT; CVS no longer uses them (this
	restores some changes which were wiped out by Ladwig's 26 Jul 96
	submission).

	* config.h: Remove alloca cruft.  CVS no longer uses alloca.
	* Makefile.in (SOURCES): Remove alloca.c.
	* alloca.c: Removed.

Fri Jul 26 16:17:48 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* server_if.c: Revert to version before Ladwig's 26 Jul 96
	submission.  In particular, this is to pick up the following
	changes:

	Tue Mar 19 17:51:52 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* server_if.c (macos_start_server): Added support for
	  CVS_RCMD_PORT (and thus made consistent with WindowsNT and VMS)

	Wed Feb 28 11:31:11 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* server_if.c (macos_start_server): Don't use alloca.

Fri Jul 26 16:17:48 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (HEADERS): Remove SIOUX*.h.
	(SOURCES): Remove SIOUX.c.  These files are copyright by
	metrowerks and therefore we cannot distribute them.

Fri Jul 19 14:23:01 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* Added support for zlib (and Gzip-stream compression) to both the PPC and
     68k ports.

Mon Jul 15 11:53:41 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* For the 68k port, setup memory allocation differently in order to keep the
	   heap and stack from colliding in large recursive operations.  The 68k and PPC
	   versions now both allocate 128k to the stack.

Tues Jun 25 09:26:32 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* Removed the requirement for the 'services' file; it only needs to be there
     if you want to use a non-standard port.

Mon Jun 24 10:12:17 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* Fixed bug in NoLineBuffer that sent an AE for every character in certain CVS
     modes (e.g. help).
	* Fixed bug in 68K port that didn't set the HLE flag in the size resource

Thurs Jun 7 18:11:43 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* MacCVS fixes inserted into the "mainstream" CVS sources - thanks, Jim!
	* Fixed bug with reading log information from a file

Thurs Jun 6 16:09:03 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* Improved MacCVS builds by moving the maccvs.rsrc information to maccvs.r
	* Fixed bug where MacCVS would crash if an error was encountered and
     output was going to AppleEvents or a file

Thurs Jun 6 12:38:54 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* Fixed bug keeping CRLF conversion code from getting called
	* Modified "file results" code to use an intermediate file, and to
     rename that file to the requested filename when complete.

Tue Jun 4 13:58:01 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* CVS Code base updated to cvs-1.8.2 (5/27/96 snapshot)
	* Updated to CodeWarrier 9.  The SIOUX redirection stuff is broken under
     CW9.  Using MSL seems promising, but MSL's ccommand is broken.
  * Redid the 680x0 port.

Fri May 16 14:54:21 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* CVS Code base updated to cvs-1.8.2 (5/16/96 snapshot)
	* Bugs in macos_filesys.c related to relative pathnames fixed

Fri May 1 15:58:41 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* Added AppleEvents support (undocumented)

Fri Feb 9 11:26:32 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* CVS Code base updated to cvs-1.7

Wed Jan 10 11:40:32 1996  Mike Ladwig  <mike@twinpeaks.prc.com>

	* CVS Code base updated to cvs-1.6.5 1/8/95 snapshot

Fri Dec 27 14:20:12 1995  Mike Ladwig  <mike@twinpeaks.prc.com>

	* Cleanup of rcmd code, removing inappropriate tests
	* CVS Code base updated to cvs-1.6.3 12/27/95 snapshot
	* Again fixed(?) binary/text file handling.
	* OT problem traced to GUSI - OT bug.  Corresponding with Matthias.

Fri Dec 08 12:39:22 1995  Mike Ladwig  <mike@twinpeaks.prc.com>

	* Fixed problem with 'stat' emulation
	* Used better GUSI resource template so file type/creator was available

Thurs Dec 07 16:13:09 1995  Mike Ladwig  <mike@twinpeaks.prc.com>

	* Port cleanup for inclusion into main cvs distribution
	* Fixed(?) binary file handling
	* Better SIOUX feedback
	* Updates only via whole files (no '-u' to update)

Wed Nov  29 09:33:16 1995  Mike Ladwig  <mike@twinpeaks.prc.com>

	* Initial port of CVS 1.6.1 snapshot 11/14/95
	* Requires CW GUSI 1.6.4 and CodeWarrier 7
	* 68k version is essentially untested, due to lack of a 68k machine
	* 'release' doesn't work, due to cvs implementation approach
	* Tons of obvious "TODOs", but at least the heavy stuff is done

